import express from "express";
import {
	getEmailConfigs,
	createEmailConfig,
	updateEmailConfig,
	deleteEmailConfig,
} from "../controllers/emailConfig.controller.js";

import jwtAuthMiddleware from "../middleware/auth.js";

const router = express.Router();

router.get("/getAll", getEmailConfigs);

router.post("/", jwtAuthMiddleware, createEmailConfig);
router.patch("/:id", jwtAuthMiddleware, updateEmailConfig);
router.delete("/:id", jwtAuthMiddleware, deleteEmailConfig);

export default router;
